<?php
$DEBUG=0;
$ent = "Tcpip";
$ico = "../img/reseau.png";
$edition="";
$hiddenid=1;
$deleteall=0;
if (!isset($idx)) {
  $serie=30;
  $table="tcpip left join station on tcpip.idstation=station.idstation left join element on tcpip.idperipherique=element.idelement";
  $champAffiche=array("idip as id","adresseip","ipmaitre","station.numero as station","station.nomstation","element.numero as periph","element.nomelement");
  $champRecherche=array("adresseip","station.numero","element.numero","station.nomstation","element.nomelement");
  $tri= " order by ipa,ipb,ipc,ipd";
  $selection='';
  $href[0]['lien']= "#";
  $href[0]['id']= "";
  $href[0]['lib']= "";
  $href[1]['lien'] = "#"; 
  $href[1]['id']= "";
  $href[1]['lib']= "";
  $href[2]['lien'] = "#";
  $href[2]['id']= "";
  $href[2]['lib']= "";
} else {
  $serie=5;
  $table="tcpip";
  $champAffiche=array("idip as id","adresseip","ipmaitre");
  $champRecherche=array("adresseip");
  $tri= " order by adresseip";
  if ($obj=="station") /*(strstr($obj,"station"))*/ {
    $selection = " where idstation =".$idx;
    $icone="winvnc";
  } else {
    $selection = " where idperipherique =".$idx;
    $icone="ie";
  }
  $href[3]['lien'] = "../spg/winvnc.php?obj=$obj&idx=";
  $href[3]['id']= " target=_blank";
  // * custom *
  if(file_exists("../dyn/custom/img/$icone.png")) {
     $href[3]['lib']= "<img src='../dyn/custom/img/$icone.png' border=0>";
  }
  else {
     $href[3]['lib']= "<img src='../img/$icone.png' border=0>";
  } 
}
?>